linux: 3.0.0-29.46 -proposed tracker

Bug #1086305 reported by Luis Henriques on 2012-12-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-29.46 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 04. December 2012 09:53 UTC
kernel-stable-Certification-testing-end:Tuesday, 04. December 2012 10:01 UTC
kernel-stable-Prepare-package-end:Tuesday, 04. December 2012 23:04 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 04. December 2012 23:04 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 06. December 2012 23:00 UTC
kernel-stable-Verification-testing-start:Friday, 07. December 2012 00:01 UTC
kernel-stable-Security-signoff-start:Friday, 14. December 2012 17:00 UTC
kernel-stable-Verification-testing-end:Friday, 14. December 2012 17:00 UTC
kernel-stable-Regression-testing-start:Friday, 14. December 2012 17:00 UTC
kernel-stable-Security-signoff-end:Friday, 14. December 2012 19:00 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 19. December 2012 02:00 UTC
kernel-stable-Regression-testing-end:Wednesday, 19. December 2012 02:00 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 19. December 2012 18:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 19. December 2012 19:01 UTC

CVE References

Luis Henriques (henrix) on 2012-12-04
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-12-04
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1086596

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 1086597

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-12-06
description: updated
Brad Figg (brad-figg) on 2012-12-07
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified, moving to testing.

Brad Figg (brad-figg) on 2012-12-14
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2012-12-14
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-12-19
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux - 3.0.0-29.46

---------------
linux (3.0.0-29.46) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1086305

  [ Upstream Kernel Changes ]

  * ath9k: fix stale pointers potentially causing access to free'd skbs
    - LP: #1081645
  * rt2800: validate step value for temperature compensation
    - LP: #1081645
  * target: Don't return success from module_init() if setup fails
    - LP: #1081645
  * cfg80211: fix antenna gain handling
    - LP: #1081645
  * wireless: drop invalid mesh address extension frames
    - LP: #1081645
  * mac80211: don't inspect Sequence Control field on control frames
    - LP: #1081645
  * DRM/Radeon: Fix Load Detection on legacy primary DAC.
    - LP: #1081645
  * mac80211: check management frame header length
    - LP: #1081645
  * mac80211: fix SSID copy on IBSS JOIN
    - LP: #1081645
  * nfsv3: Make v3 mounts fail with ETIMEDOUTs instead EIO on mountd
    timeouts
    - LP: #1081645
  * nfs: Show original device name verbatim in /proc/*/mount{s,info}
    - LP: #1081645
  * NFSv4: nfs4_locku_done must release the sequence id
    - LP: #1081645
  * nfsd: add get_uint for u32's
    - LP: #1081645
  * NFS: fix bug in legacy DNS resolver.
    - LP: #1081645
  * NFS: Fix Oopses in nfs_lookup_revalidate and nfs4_lookup_revalidate
    - LP: #1081645
  * drm: restore open_count if drm_setup fails
    - LP: #1081645
  * hwmon: (w83627ehf) Force initial bank selection
    - LP: #1081645
  * ALSA: PCM: Fix some races at disconnection
    - LP: #1081645
  * ALSA: usb-audio: Fix races at disconnection
    - LP: #1081645
  * ALSA: usb-audio: Use rwsem for disconnect protection
    - LP: #1081645
  * ALSA: usb-audio: Fix races at disconnection in mixer_quirks.c
    - LP: #1081645
  * ALSA: Add a reference counter to card instance
    - LP: #1081645
  * ALSA: Avoid endless sleep after disconnect
    - LP: #1081645
  * sctp: fix call to SCTP_CMD_PROCESS_SACK in sctp_cmd_interpreter()
    - LP: #1081645
  * netlink: use kfree_rcu() in netlink_release()
    - LP: #1081645
  * tcp: fix FIONREAD/SIOCINQ
    - LP: #1081645
  * ipv6: Set default hoplimit as zero.
    - LP: #1081645
  * net: usb: Fix memory leak on Tx data path
    - LP: #1081645
  * l2tp: fix oops in l2tp_eth_create() error path
    - LP: #1081645
  * ipv6: send unsolicited neighbour advertisements to all-nodes
    - LP: #1081645
  * futex: Handle futex_pi OWNER_DIED take over correctly
    - LP: #1081645
  * drm/vmwgfx: Fix hibernation device reset
    - LP: #1081645
  * drm/i915: fixup infoframe support for sdvo
    - LP: #1081645
  * drm/i915: clear the entire sdvo infoframe buffer
    - LP: #1081645
  * USB: mos7840: remove unused variable
    - LP: #1081645
  * xfs: fix reading of wrapped log data
    - LP: #1081645
  * intel-iommu: Fix AB-BA lockdep report
    - LP: #1081645
  * ALSA: Fix card refcount unbalance
    - LP: #1081645
  * ALSA: usb-audio: Fix mutex deadlock at disconnection
    - LP: #1081645
  * Linux 3.0.52
    - LP: #1081645
  * mm: bugfix: set current->reclaim_state to NULL while returning from
    kswapd()
    - LP: #1083318
  * fanotify: fix missing break
    - LP: #...

Read more...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2012-12-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers